#!/usr/bin/perl

opendir(TOP, ".");

$i = 0;
foreach $dir (readdir(TOP)) {
	next if $dir eq ".";
	next if $dir eq "..";
	if ( -d $dir ) {
		opendir(SUB, $dir);
		foreach $subdir (readdir(SUB)) {
			next if $subdir eq ".";
			next if $subdir eq "..";
			if ( -d "$dir/$subdir" ) {
				$mtime = (stat("$dir/$subdir"))[9];
				$list{"$dir/$subdir"} = $mtime;
			}
		}
		closedir(SUB);
	}
}

closedir(TOP);

format =
@<<<<<<<<<<<<<<<<<<<<<<<<< @<<<<<<<<<<<<<<<<<<<<<<<<<<< @<<<<<<<<<<<<<<<<<<<<<<<
$artist,                   $album,                      $time
.

foreach $sdir (sort { $list{$a} <=> $list{$b} } keys %list) {
	($artist, $album) = split(/\//, $sdir);
	$time = localtime($list{$sdir});
	write;
}
